Get customer health indicator
GET
/v1/customers/{customer_id}/health
Get customer health indicator based on payment history.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” customer_id
required
Customer Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
CustomerHealthResponse
object
status
required
CustomerHealthStatus
string
total_invoices
required
Total Invoices
integer
paid_invoices
required
Paid Invoices
integer
overdue_invoices
required
Overdue Invoices
integer
total_payments
required
Total Payments
integer
failed_payments
required
Failed Payments
integer
overdue_amount
required
Overdue Amount
number
Unauthorized – invalid or missing API key
Customer not found
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context